Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/user-groups/{userGroupId}/model-roles \
--header 'Authorization: Bearer <token>'{
"userGroupId": "mEhXj6ZI",
"results": [
{
"baseRole": "QUERIER",
"roleName": "QUERIER",
"connectionId": "bc1f9c9f-208d-48a2-9ae3-ff80f2c79fed",
"modelId": "7d3e4f5a-6b7c-8d9e-0f1a-2b3c4d5e6f7a"
}
]
}Retrieves the model role assignments for a user group.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/user-groups/{userGroupId}/model-roles \
--header 'Authorization: Bearer <token>'{
"userGroupId": "mEhXj6ZI",
"results": [
{
"baseRole": "QUERIER",
"roleName": "QUERIER",
"connectionId": "bc1f9c9f-208d-48a2-9ae3-ff80f2c79fed",
"modelId": "7d3e4f5a-6b7c-8d9e-0f1a-2b3c4d5e6f7a"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the user group to retrieve model roles for.
Filter results to a specific model ID. If not provided, returns roles for all models the user group has access to.
Filter results to models from a specific connection. If not provided, returns roles for all connections.
Was this page helpful?